summaryrefslogtreecommitdiffstats
path: root/system/fuse-archive
diff options
context:
space:
mode:
Diffstat (limited to 'system/fuse-archive')
-rw-r--r--system/fuse-archive/README11
-rw-r--r--system/fuse-archive/fuse-archive.SlackBuild89
-rw-r--r--system/fuse-archive/fuse-archive.info10
-rw-r--r--system/fuse-archive/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/system/fuse-archive/README b/system/fuse-archive/README
new file mode 100644
index 0000000000..66050306b7
--- /dev/null
+++ b/system/fuse-archive/README
@@ -0,0 +1,11 @@
+fuse-archive (FUSE file system for archives and compressed files)
+
+fuse-archive is a program that serves an archive or compressed file
+(e.g. foo.tar, foo.tar.gz, foo.xz or foo.zip) as a read-only FUSE file
+system.
+
+It is similar to mount-zip and fuse-zip but speaks a larger range of
+of archive or compressed file formats.
+
+It is similar to archivemount but can be much faster, although it can
+only mount read-only, not read-write.
diff --git a/system/fuse-archive/fuse-archive.SlackBuild b/system/fuse-archive/fuse-archive.SlackBuild
new file mode 100644
index 0000000000..0a00eee124
--- /dev/null
+++ b/system/fuse-archive/fuse-archive.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for fuse-archive
+
+# Copyright 2022 Charadon
+# Copyright 2023 B. Watson
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 20230828 bkw: BUILD=2
+# - take over maintenance.
+# - add a few missing docs to the doc dir.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=fuse-archive
+VERSION=${VERSION:-0.1.14}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+CXXFLAGS="$SLKCFLAGS" make
+install -s -Dm755 out/fuse-archive $PKG/usr/bin/fuse-archive
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a README* AUTHORS* LICENSE* CONTR* $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/fuse-archive/fuse-archive.info b/system/fuse-archive/fuse-archive.info
new file mode 100644
index 0000000000..3aa3c197ea
--- /dev/null
+++ b/system/fuse-archive/fuse-archive.info
@@ -0,0 +1,10 @@
+PRGNAM="fuse-archive"
+VERSION="0.1.14"
+HOMEPAGE="https://github.com/google/fuse-archive"
+DOWNLOAD="https://github.com/google/fuse-archive/archive/v0.1.14/fuse-archive-0.1.14.tar.gz"
+MD5SUM="41f7581e71d2a14dded0618ba5b9b6c2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/system/fuse-archive/slack-desc b/system/fuse-archive/slack-desc
new file mode 100644
index 0000000000..7fb93a309d
--- /dev/null
+++ b/system/fuse-archive/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fuse-archive: fuse-archive (FUSE file system for archives and compressed files)
+fuse-archive:
+fuse-archive: fuse-archive is a program that serves an archive or compressed file
+fuse-archive: (e.g. foo.tar, foo.tar.gz, foo.xz or foo.zip) as a read-only FUSE
+fuse-archive: file system.
+fuse-archive:
+fuse-archive: It is similar to mount-zip and fuse-zip but speaks a larger range of
+fuse-archive: of archive or compressed file formats.
+fuse-archive:
+fuse-archive: It is similar to archivemount but can be much faster, although it can
+fuse-archive: only mount read-only, not read-write.